#
# spec file for package python-bindep
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-bindep
Version:        2.8.1
Release:        bp154.1.18
Summary:        Binary dependency utility
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://docs.openstack.org/infra/bindep
Source:         https://files.pythonhosted.org/packages/source/b/bindep/bindep-%{version}.tar.gz
BuildRequires:  %{python_module Parsley}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
Requires:       python-Parsley
Requires:       python-distro
Requires:       python-pbr
BuildArch:      noarch

%python_subpackages
%description
Bindep is a tool for checking the presence of binary packages needed to
use an application / library. It started life as a way to make it easier to set
up a development environment for OpenStack projects. While OpenStack depends
heavily on `pip` for installation of Python dependencies, some dependencies are
not Python based, and particularly for testing, some dependencies have to be
installed before `pip` can be used - such as `virtualenv` and `pip` itself.

%prep
%setup -q -n bindep-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/bindep

%post
%{python_install_alternative bindep}

%postun
%python_uninstall_alternative bindep

## %check
## python setup.py testr

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%doc README.rst ChangeLog AUTHORS NEWS.rst
%python_alternative %{_bindir}/bindep
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Nov 30 2018 Thomas Bechtold <tbechtold@suse.com>
- update to 2.8.1:
  * Remove fedora-27 fallback job
  * Fix bindep path
  * Fix user profile display
  * Add opensuse-leap support
  * Add support for Alpine Linux
  * Clearer unsupported platform error message
  * Use the distro package to determine distro
  * Move to argparse
  * Remove debian-jessie nodeset
  * SUSE: Update openSUSE Tumbleweed references for lsb-release-3.X.X
  * Update to fedora-27 for testing
  * add detection of darwin (MacOS/OSX)
  * Move jenkins/data/bindep-fallback.txt
  * add support for rhel workstation
  * Zuul: Remove project name
  * Add native Zuul v3 bindep-fallback test
  * Fix logic for groups
  * Add new syntax to allow matching multiple profile
  * Add ability to list all deps
  * bindep: Query for RPM capabilities as well
  * Log an error when lsb\_release cannot be executed
  * Fix test\_main and test\_depends for systems missing lsb\_release
  * Handle dotted versions in platform selectors
  * Update tox.ini with py35
  * bindep: depends: Add distro family aliases
  * Add Amazon Linux support to bindep
  * Consistently check subprocess output
  * Update 'pbr' version requirements
  * Exit the loop when we don't have a package
  * bindep: depends: Add support for openSUSE {Leap,Tumbleweed}
  * Bump lower cap of PBR to 1.3
  * Extract file finding and processing to functions
  * Add RHEL support
  * get\_pkg\_version: Fix py3 bytes/str errors
  * Use the autodoc Sphinx extension
  * Move dev reference from readme to contributing
  * Remove unused module index in documentation
  * Removed remnants of support\_py26 module
  * Give some examples
  * Update newsfile entry for default filename change
  * Update a couple of old references in README file
  * Add bindep.txt as default filename
  * Build universal wheels
  * Add '\_' to the list of valid characters acceptable in package name
  * Remove discover from test-requirements
- Switch to singlespec
- Use %%license
- Drop unused BuildRequires
* Wed Jul 20 2016 tbechtold@suse.com
- Initial packaging (version 2.0.0)
